MORE(1)

NAME
more - view files

SYNOPSIS
more [-ceisu] [-n number] [-p command] [-t tag] [file ...]

DESCRIPTION
The more pager displays text one screenful at a time. After showing each screenful, it prompts the user for a command. Most commands scroll the text or move to a different place in the file, while some switch to another file. If no file is specified, or if file is a single dash (‘-’), the standard input is used.

When showing the last line of a file, more displays a prompt indicating end of file and the name of the next file to examine, if any. It then waits for input from the user. Scrolling forward switches to the next file, or exits if there is none.

This version of more is actually less(1) in disguise. As such, it will also accept options documented in less(1). This manual page describes only features relevant to a POSIX compliant more.

The options are as follows:

-c  When changing the display, paint from the top line down. The default is to scroll from the bottom of the screen.

-e  Exit immediately after showing the last line of the last file, without prompting the user for a command first.

-i  Ignore case. Upper case and lower case are considered identical.

-n number
    Page number of lines per screenful. By default, more uses the terminal window size.

-p command
    Execute the specified more commands when a file is first examined (or re-examined, such as with the:e or:p commands). Multiple commands have to be concatenated into one single argument. Search patterns may contain blank characters and can be terminated by newline characters embedded in the command argument. Any other blank and newline characters contained in the argument are interpreted as SPACE and RETURN commands, respectively.

-s  Squeeze consecutive blank lines into a single blank line.

-t tag
    Examine the file containing tag. For more information, see ctags(1).

-u  Display backspaces as control characters (‘^H’) and leave CR-LF sequences alone. By default, more treats backspaces and CR-LF sequences specially: backspaces which appear adjacent to an underscore character are displayed as underlined text; backspaces which appear between two identical characters are displayed as emboldened text; and CR-LF sequences are compressed to a single linefeed character.

COMMANDS
Interactive commands for more are based on vi(1). Some commands may be preceded by a decimal number, called N in the descriptions below. In the following descriptions, ^X means control-X.

h   Help: display a summary of these commands.

SPACE | f | ^F
    Scroll forward N lines, default one window. If N is more than the screen size, only the final screenful is displayed.

b | ^B
    Scroll backward N lines, default one window (see the -n option). If N is more than the screen size, only the final screenful is displayed.

j | RETURN
    Scroll forward N lines, default 1. The entire N lines are displayed, even if N is more than the screen size.

k   Scroll backward N lines, default 1. The entire N lines are displayed, even if N is more than the screen size.

d | ^D
    Scroll forward N lines, default one half of the screen size. If N is specified, it becomes the new default for subsequent d and u commands.

u | ^U
    Scroll backward N lines, default one half of the screen size. If N is specified, it becomes the new default for subsequent d and u commands.

g   Go to line N in the file, default 1 (beginning of file).

G   Go to line N in the file, default the end of the file.

r | ^L
    Repaint the screen.

R   Repaint the screen, discarding any buffered input. Useful if the file is changing while it is being viewed.

m   Followed by any lowercase letter, marks the current position with that letter.

'   (Single quote.) Followed by any lowercase letter, returns to the position which was previously marked with that letter. Followed by another single quote, returns to the position at which the last "large" movement command was executed, or the beginning of the file if no such movements have occurred. All marks are lost when a new file is examined.

/pattern
    Search forward in the file for the N-th line containing the pattern. N defaults to 1. The pattern is a basic regular expression (BRE). See re_format(7) for more information on regular expressions. The search starts at the second line displayed.

?pattern
    Search backward in the file for the N-th line containing the pattern. The search starts at the line immediately before the top line displayed.

/!pattern
    Like /, but the search is for the N-th line which does NOT contain the pattern.

?!pattern
    Like ?, but the search is for the N-th line which does NOT contain the pattern.

n   Repeat previous search, for N-th line containing the last pattern (or NOT containing the last pattern, if the previous search was /! or ?!).

N   Repeat previous search in the opposite direction, for N-th line containing the last pattern (or NOT containing the last pattern, if the previous search was /! or ?!).

:e [filename]
    Examine a new file. If the filename is missing, the "current" file (see the:n and:p commands below) from the list of files in the command line is re-examined. If the filename is a pound sign (#), the previously examined file is re-examined.

:n  Examine the next file (from the list of files given in the command line). If a number N is specified (not to be confused with the command N), the N-th next file is examined.

:p  Examine the previous file. If a number N is specified, the N-th previous file is examined.

:t  Go to supplied tag.

v   Invokes an editor to edit the current file being viewed. The editor is taken from the environment variable EDITOR, or defaults to vi(1).

= | ^G
    These options print out the number of the file currently being displayed relative to the total number of files there are to display, the current line number, the current byte number and the total bytes to display, and what percentage of the file has been displayed. If more is reading from the standard input, or the file is shorter than a single screen, some of these items may not be available. Note, all of these items reference the first byte of the last line displayed on the screen.

q | :q | ZZ
    Exits more.

ENVIRONMENT

COLUMNS
    Sets the number of columns on the screen. Takes precedence over the number of columns specified by the TERM variable, but may be overridden by window systems which support TIOCGWINSZ.

EDITOR
    Specifies the default editor. If not set, vi(1) is used.

LINES
    Sets the number of lines on the screen. Takes precedence over the number of lines specified by the TERM variable, but may be overridden by window systems which support TIOCGWINSZ.

MORE
    Default command line options to use with more. The options should be space-separated and must be prefixed with a dash (‘-’).

TERM
    Specifies the terminal type. Used by more to get the terminal characteristics necessary to manipulate the screen.

EXIT STATUS

EXAMPLES
Examine the ends of all files in the current directory, showing line and byte counts for each:

    $ more -p G= *

Examine several manual pages, starting from the options description in the DESCRIPTION section:

    $ more -p '/DESCRIPTION
    > /options
    > ' *.1

SEE ALSO
ctags(1), less(1), vi(1), re_format(7)

STANDARDS
The more utility is compliant with the p1003.1-2008 specification, though its presence is optional.

Functionality allowing the user to skip (as opposed to scroll) forward is not currently implemented.

HISTORY
A more command appeared in 3.0BSD.

AUTHORS
Mark Nudelman <markn@greenwoodsoftware.com>